This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 208029 - The moveScreenViewport() code is causing windows to disappear from the workspace switcher
The moveScreenViewport() code is causing windows to disappear from the worksp...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 18:07 EDT by Søren Sandmann Pedersen
Modified: 2014-06-18 05:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Søren Sandmann Pedersen 2006-09-25 18:07:25 EDT
The cube plugin tries to maintain the illusion that the viewports are positioned
on a cube. So when you switch from viewport one to viewport four, and a window
is straddling the two workspaces, moveScreenViewport() will move the window to
make it appear as if the window is actually on both workspaces.

Also, windows have an extra 'output' region around the window that contains the
shadow etc. 

If a window is maximized, then the multi-viewport code will be activated, which
causes the window to apparently disappear from viewport one; it will be moved to
a non-existing viewport five, so that it's left 'shadow' can be visible on
workspace four.

It may be possible to fix this by fixing the window drawing code to draw
straddling windows multiple times. That way, the cyclical window movement code
can be deleted from moveScreenViewport().
Comment 1 Matěj Cepl 2007-10-02 14:17:02 EDT
Is this still relevant? Anyway, making this ASSIGNED, because there is nothing I
could about it.
Comment 2 Bug Zapper 2008-04-03 14:19:38 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:53:07 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.